import setuptools

setuptools.setup(
    name="scMDCF",
    version="1.1.2",
    author="Yue Cheng",
    author_email="chengyue22@mails.jlu.edu.cn",
    description="Unified Cross-modality Integration and Inference of Single-Cell Multiomic Data with Deep Contrastive Learning",
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    url="https://github.com/DARKpmm/scMDCF",
    install_requires=["anndata==0.10.5.post1",
                      "array_api_compat==1.4.1",
                      "contourpy==1.2.0",
                      "cycler==0.12.1",
                      "exceptiongroup==1.2.0",
                      "filelock==3.13.1",
                      "fonttools==4.49.0",
                      "fsspec==2024.2.0",
                      "get-annotations==0.1.2",
                      "h5py==3.10.0",
                      "importlib-resources==6.1.1",
                      "Jinja2==3.1.3",
                      "joblib==1.3.2",
                      "kiwisolver==1.4.5",
                      "llvmlite==0.42.0",
                      "MarkupSafe==2.1.5",
                      "matplotlib==3.8.3",
                      "mpmath==1.3.0",
                      "natsort==8.4.0",
                      "networkx==3.2.1",
                      "numba==0.59.0",
                      "numpy==1.26.4",
                      "nvidia-cublas-cu12==12.1.3.1",
                      "nvidia-cuda-cupti-cu12==12.1.105",
                      "nvidia-cuda-nvrtc-cu12==12.1.105",
                      "nvidia-cuda-runtime-cu12==12.1.105",
                      "nvidia-cudnn-cu12==8.9.2.26",
                      "nvidia-cufft-cu12==11.0.2.54",
                      "nvidia-curand-cu12==10.3.2.106",
                      "nvidia-cusolver-cu12==11.4.5.107",
                      "nvidia-cusparse-cu12==12.1.0.106",
                      "nvidia-nccl-cu12==2.19.3",
                      "nvidia-nvjitlink-cu12==12.3.101",
                      "nvidia-nvtx-cu12==12.1.105",
                      "packaging==23.2",
                      "pandas==2.2.1",
                      "patsy==0.5.6",
                      "pillow==10.2.0",
                      "pynndescent==0.5.11",
                      "pyparsing==3.1.1",
                      "python-dateutil==2.8.2",
                      "pytz==2024.1",
                      "scanpy==1.9.8",
                      "scikit-learn==1.4.1.post1",
                      "scipy==1.12.0",
                      "seaborn==0.13.2",
                      "session-info==1.0.0",
                      "six==1.16.0",
                      "statsmodels==0.14.1",
                      "stdlib-list==0.10.0",
                      "sympy==1.12",
                      "threadpoolctl==3.3.0",
                      "torch==2.2.1",
                      "tqdm==4.66.2",
                      "triton==2.2.0",
                      "typing_extensions==4.9.0",
                      "tzdata==2024.1",
                      "umap-learn==0.5.5",
                      "zipp==3.17.0"],
    packages=['scMDCF'],
    classifiers=[
        "Programming Language :: Python :: 3.9",
        'Operating System :: OS Independent',
        'Topic :: Scientific/Engineering :: Artificial Intelligence',
    ],
)